Package Details: red 0.6.4-2

Git Clone URL: https://aur.archlinux.org/red.git (read-only, click to copy)
Package Base: red
Description: An open source, native code compiled, dialect of Rebol
Upstream URL: http://www.red-lang.org
Licenses: custom:3-clause BSD, custom:BSL
Conflicts: ed
Submitter: dseg
Maintainer: loziniak
Last Packager: loziniak
Votes: 11
Popularity: 0.000000
First Submitted: 2013-01-03 12:55 (UTC)
Last Updated: 2022-11-27 15:17 (UTC)

Latest Comments

1 2 Next › Last »

loziniak commented on 2022-11-27 15:24 (UTC) (edited on 2022-11-27 15:24 (UTC) by loziniak)

Red team recently deprecated stable versions:

https://www.red-lang.org/2022/07/new-red-binaries.html

"temporary dropping of [...] and related "stable" releases"

loziniak commented on 2021-08-28 01:24 (UTC)

I've just committed a nightly version of Red to AUR: https://aur.archlinux.org/packages/red-nightly-bin

loziniak commented on 2021-02-23 13:37 (UTC) (edited on 2021-02-23 13:37 (UTC) by loziniak)

Hello. It would be nice to make an update to v0.6.4, or best create a package for a nightly builds. I offer my help.

Earnest commented on 2017-11-02 10:47 (UTC) (edited on 2017-11-02 10:47 (UTC) by Earnest)

This is because the PKGBUILD doesn't build Red. You cannot build Red without purchasing a license for the Rebol SDK. See https://github.com/red/red/issues/3092 "So the PKGBUILD script just builds the Red console, not the Red toolchain binary, which requires the Rebol/SDK and a valid license key. The above command-line options are specific to the Red toolchain, there are not recognized by the console binary."

honix commented on 2017-08-22 20:24 (UTC)

For some reason this build of Red parses args as files. Official builds works fine. > red -h *** Error: cannot access argument file: -h

dseg commented on 2017-08-03 14:00 (UTC)

@zgrep Exactly /usr/bin/red is the conflict. nirvana% pacman -Ql ed | grep red ed /usr/bin/red

zgrep commented on 2017-08-03 07:40 (UTC) (edited on 2017-08-03 07:40 (UTC) by zgrep)

How does this conflict with ed, a relatively simple text editor?

vkill commented on 2017-07-24 01:42 (UTC)

> find: ‘./quick-test/runnable’: No such file or directory I got this message when I install VER: 0.6.3-1

dseg commented on 2017-03-30 06:46 (UTC)

@thegillies Could you retry again?

dseg commented on 2017-03-30 02:55 (UTC)

Updated to v0.6.2.